<?php

/**
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 3 of the License, or (at
 *   your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful, but
 *   WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *   General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, see <http://www.gnu.org/licenses/>.
 *
 *   @author          BlackBird Webprogrammierung
 *   @copyright       2016, BlackBird Webprogrammierung
 *   @link            http://blackcat-cms.org
 *   @license         http://www.gnu.org/licenses/gpl.html
 *   @category        CAT_Modules
 *   @package         DataTable
 *
 */

if (defined('CAT_PATH')) {
    if (defined('CAT_VERSION')) include(CAT_PATH.'/framework/class.secure.php');
} elseif (file_exists($_SERVER['DOCUMENT_ROOT'].'/framework/class.secure.php')) {
    include($_SERVER['DOCUMENT_ROOT'].'/framework/class.secure.php');
} else {
    $subs = explode('/', dirname($_SERVER['SCRIPT_NAME']));    $dir = $_SERVER['DOCUMENT_ROOT'];
    $inc = false;
    foreach ($subs as $sub) {
        if (empty($sub)) continue; $dir .= '/'.$sub;
        if (file_exists($dir.'/framework/class.secure.php')) {
            include($dir.'/framework/class.secure.php'); $inc = true;    break;
        }
    }
    if (!$inc) trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
}

require __DIR__.'/info.php';
$tablename = 'mod_'.$module_directory;

CAT_Helper_Page::getInstance()->db()->query(
    "CREATE TABLE IF NOT EXISTS `:prefix:".$tablename."_settings` (
    	`section_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
    	`subject` VARCHAR(255) NOT NULL DEFAULT '',
    	`fieldno` INT(2) UNSIGNED NOT NULL DEFAULT '6',
    	`hide_empty` ENUM('Y','N') NOT NULL DEFAULT 'N'
    );"
);

CAT_Helper_Page::getInstance()->db()->query(
    "CREATE TABLE IF NOT EXISTS `:prefix:".$tablename."_items` (
    	`id` INT(11) NOT NULL AUTO_INCREMENT,
    	`section_id` INT(11) NOT NULL DEFAULT '0',
    	`active` ENUM('Y','N') NOT NULL DEFAULT 'Y',
    	`position` INT(11) NOT NULL DEFAULT '1',
    	PRIMARY KEY (`id`)
    );"
);

CAT_Helper_Page::getInstance()->db()->query(
    "CREATE TABLE IF NOT EXISTS `:prefix:".$tablename."_fieldnames` (
    	`section_id` INT(11) UNSIGNED NOT NULL,
    	`fieldno` INT(3) UNSIGNED NOT NULL,
    	`title` VARCHAR(255) NULL DEFAULT NULL,
        `req` ENUM('Y','N') NOT NULL DEFAULT 'N',
        UNIQUE INDEX `section_id_fieldno` (`section_id`, `fieldno`)
    );"
);

CAT_Helper_Page::getInstance()->db()->query(
    "CREATE TABLE IF NOT EXISTS `:prefix:".$tablename."_data` (
    	`section_id` INT(11) UNSIGNED NOT NULL,
    	`id` INT(11) UNSIGNED NOT NULL,
    	`field` INT(3) UNSIGNED NOT NULL,
    	`value` TEXT NULL,
	    UNIQUE INDEX `section_id_id_field` (`section_id`, `id`, `field`)
    );"
);

// add files to class_secure
$addons_helper = new CAT_Helper_Addons();
foreach(
	array(
		'ajax/ajax_del.php',
		'ajax/ajax_get.php',
	)
	as $file
) {
	if(false===$addons_helper->sec_register_file($module_directory,$file))
	{
		 error_log("Unable to register file -$file-!");
	}
}