<div class="mod_datatable" id="datatable_{$section_id}">
    <button class="dt_toggle dt_right">{translate('Options')}</button>
    <button class="dt_add dt_right">{translate('Add item')}</button>
    {if $csvfiles}<button class="dt_import dt_right">{translate('CSV Import')}</button>{/if}
    <br /><br />

    {* Settings form *}
    <div style="{if ! $settings_open}display:none;{/if}" id="datatable_{$section_id}_options">
        <form action="{$CAT_ADMIN_URL}/pages/modify.php" method="post">
            <input type="hidden" name="page_id" id="page_id" value="{$page_id}" />
            <fieldset>
                <legend>{translate('Options')}</legend>
                <label class="dt_label" for="subject">{translate('Subject')}:</label>
                  <input type="text" id="dt_{$section_id}_subject" name="subject" value="{$settings.subject}" /><br />
                <label class="dt_label" for="dt_{$section_id}_fieldno">{translate('Number of fields')}:</label>
                  <input type="text" name="fieldno" id="dt_{$section_id}_fieldno" value="{$settings.fieldno}" /><br />
                {foreach $fields field}{$no = $dwoo.foreach.default.iteration}
                <label class="dt_label" for="set_{$field}name">{translate('Field')} #{$dwoo.foreach.default.iteration} {translate('label')}:</label>
                  <input type="text" name="set_{$field}name" id="set_{$field}name" value="{if $titles.$no}{$titles.$no}{else}{$field}{/if}" />
                  <input type="checkbox" name="set_{$field}name_req" id="set_{$field}name_req" value="Y"{if $req.$no}checked="checked"{/if} /> {translate('required')}
                  <br />
                {/foreach}
                <span class="label">{translate('Hide empty columns')}</span>
                  <input type="radio" name="hide_empty" id="hide_empty_y" value="Y"{if $settings.hide_empty == 'Y'} checked="checked"{/if} /> <label for="hide_empty_y">{translate('yes')}</label>
                  <input type="radio" name="hide_empty" id="hide_empty_n" value="N"{if $settings.hide_empty != 'Y'} checked="checked"{/if} /> <label for="hide_empty_n">{translate('no')}</label><br />
                <button type="submit" name="datatable_set_save" value="1">{translate('Save')}</button>
                <button type="reset" name="datatable_cancel">{translate('Cancel')}</button>
            </fieldset>
        </form>
    </div>

    {* Add / edit form *}
    <div style="{if $items && !$addandopen}display:none;{/if}" id="datatable_{$section_id}_add">
        {if ! $items}
        <div class="success mod_datatable_success">{translate('No items yet. You can add your first data row here.')}</div><br /><br />
        {/if}
        <form action="{$CAT_ADMIN_URL}/pages/modify.php" method="post">
            <input type="hidden" name="page_id" id="page_id" value="{$page_id}" />
            <input type="hidden" name="item_id" id="item_id" value="-1" />
            <fieldset>
                <legend>{translate('Add / Edit item')}</legend>
                {foreach $fields field}{$no = $dwoo.foreach.default.iteration}
                <label class="dt_label" for="{$field}">{if $titles.$no}{$titles.$no}{else}{$field}{/if}:</label>
                <input name="{$field}" type="text" value=""{if $req.$no} required="required"{/if} />
                {if $req.$no}<span style="color:#c00">{translate('required')}</span>{/if}<br />
                {/foreach}
                <span class="label">{translate('Active')}</span>
                <input type="radio" name="active" id="active_y" value="Y" checked="checked" /> <label for="active_y">{translate('yes')}</label>
                <input type="radio" name="active" id="active_n" value="N" /> <label for="active_n">{translate('no')}</label><br />
                <button type="submit" name="datatable_item_add" value="1">{translate('Save')}</button>
                <button type="submit" name="datatable_item_add" value="2">{translate('Save & add another')}</button>
                <button type="reset" name="datatable_cancel">{translate('Cancel')}</button>
            </fieldset>
        </form>
    </div>

    {if $items}
    <table>
        <thead>
            <tr>
                <th></th>
                <th>{translate('Field #1')}</th>
                <th>{translate('Field #2')}</th>
                <th>{translate('Active')}</th>
                <th></th>
            </tr>
        </thead>
        <tbody>
        {foreach $items item}
            <tr>
                <td>
                    <input type="checkbox" id="item_{$item.id}" name="item" value="{$item.id}" />
                    <span class="icon icon-pencil" data-item="{$item.id}"></span>
                </td>
                <td>{$item.field1}</td>
                <td>{$item.field2}</td>
                <td>{if $item.active == 'Y'}{translate('yes')}{else}{translate('no')}{/if}</td>
                <td></td>
            </tr>
        {/foreach}
        </tbody>
        <tfoot>
            <tr><td colspan="4">{translate('checked')}: <button id="datatable_{$section_id}_del">{translate('Remove')}</button></td></tr>
        </tfoot>
    </table>
    {/if}
</div>

<script type="text/javascript">
//<![CDATA[
$(function() {
    $('input[name="item[]"]').on('click',function(e) {
        $(this).parent().parent().toggleClass('dt_highlight');
    });
    $('button#datatable_{$section_id}_del').unbind('click').on('click', function(e) {
        var items = [];
        $('input[name="item"]:checked').each(function() {
           items.push($(this).val());
        });
        $.ajax({
            type    : 'POST',
            url     : CAT_URL + '/modules/{$module_directory}/ajax/ajax_del.php',
            data    : {
                items     : items,
                section_id: {$section_id}
            },
            success : function(data, status) {
                if(status=='success') {
                    location.reload();
                }
            }
        });
    });
    $('button.dt_import').unbind('click').on('click', function(e) {
        location.href = CAT_ADMIN_URL+'/pages/modify.php?page_id={$page_id}&csvimport=true';
    });
    $('button.dt_toggle').unbind('click').on('click', function(e) {
        $('div#datatable_{$section_id}_add').hide();
        $('div.mod_datatable_success').remove();
        $('div.mod_datatable_warning').remove();
        $('div#datatable_{$section_id}_options').toggle('slow');
    });
    $('button.dt_add').unbind('click').on('click', function(e) {
        $('input[name="item_id"]').val('-1');
        $('tr').removeClass('dt_highlight'); // remove all highlighting
        $('div#datatable_{$section_id}_options').hide(); // hide if open
        $('div.mod_datatable_success').remove(); // remove success info
        $('div.mod_datatable_warning').remove(); // remove error info
        $("div#datatable_{$section_id}_add form")[0].reset(); // reset form
        $('div#datatable_{$section_id}_add').show('slow'); // show form
    });
    $('button[name="datatable_cancel"]').unbind('click').on('click', function(e) {
        $(this).parent().parent().parent().hide('slow');
        $('div.mod_datatable_success').remove();
        $('div.mod_datatable_warning').remove();
        $('tr').removeClass('dt_highlight'); // remove all highlighting
    });
    $('span.icon-pencil').unbind('click').on('click', function(e) {
        var id = $(this).data('item');
        $('input[name="item_id"]').val(id);
        $('tr').removeClass('dt_highlight'); // remove all highlighting
        $(this).parent().parent().addClass('dt_highlight'); // highlight current
        $.ajax({
            type    : 'POST',
            url     : CAT_URL + '/modules/{$module_directory}/ajax/ajax_get.php',
            data    : {
                item: id,
                section_id: {$section_id}
            },
            success : function(data, status) {
                // activate for debugging:
                // console.log('data',data);
                if(data) {
                    $("div#datatable_{$section_id}_add form")[0].reset(); // reset form
                    var index = 1;
                    for(index=1; index<={$settings.fieldno}; index++)
                    {
                        var fieldname = 'field'+index;
                        $('input[name="'+fieldname+'"]').val(data[fieldname]);
                    }
                    $('div#datatable_{$section_id}_add').show('slow');
                }
            }
        });
    });
});
//]]>
</script>